%define tarname symeig
%define name python-%{tarname}
%define version 1.4.1

Summary: Symmetrical eigenvalue routines for numpy
Name: 	 %{name}
Version: %{version}
Release: %mkrel 7
Source0: %{tarname}-%{version}.tar.lzma
License: LGPLv3+
Group: 	 Development/Python
Url: 	 http://mdp-toolkit.sourceforge.net/symeig.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.4, python-numpy
BuildRequires: lapack-devel, python-devel, python-numpy-devel
Obsoletes:	%name < %version


%description
The symeig module contains a Python wrapper for the LAPACK functions
that solve the standard and generalized eigenvalue problems for
symmetric (hermitian) positive definite matrices. Those specialized
algorithms provide an important speed-up relative to the generic
LAPACK eigenvalue problem solver in NumPy (linalg.eig and
linalg.eigh).

%prep
%setup -q -n %{tarname}-1.4

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPY*
%_libdir/python*/site-packages/


%changelog
* Mon Jul 09 2018 adrianomorselli <adrianomorselli> 1.4.1-7uplos2018
- rebuild
